import { request } from '@/service/request';

// 查询操作日志列表
export function list(query: Api.SystemManage.OperlogSearchParams) {
  return request<Api.SystemManage.OperlogList>({
    url: '/monitor/operlog/list',
    method: 'get',
    params: query
  });
}

// 删除操作日志
export function delOperlog(operIds: Api.SystemManage.Operlog['operId'][]) {
  return request({
    url: `/monitor/operlog/${operIds}`,
    method: 'delete'
  });
}

// 清空操作日志
export function cleanOperlog() {
  return request({
    url: '/monitor/operlog/clean',
    method: 'delete'
  });
}
